# 🚀 TermTypr

**A Python CLI application for practicing and improving your typing speed right in your terminal.**

[![Python 3.9+](https://img.shields.io/badge/python-3.9+-blue.svg)](https://www.python.org/downloads/)
[![PyPI version](https://badge.fury.io/py/termtypr.svg)](https://badge.fury.io/py/termtypr)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)

## ✨ Features


- 🎯 **Interactive typing tests** with real-time WPM and accuracy tracking
- 📊 **Detailed statistics** to monitor your progress over time
- 🎨 **Multiple themes** (light/dark) for comfortable typing sessions
- 🎮 **Multiple game modes** - choose from different typing challenges
- 📝 **Custom word lists** - add your own words or practice specific vocabulary
- ⚡ **Instant feedback** with error highlighting and correction tracking

## 🔧 Installation

### Prerequisites

- Python 3.9 or higher
- pip package manager

### Option 1: Install from PyPI (Recommended)

```bash
pip install termtypr
```

Start typing:

```bash
termtypr
```

### Option 2: Install from Source

```bash
# Clone the repository
git clone https://github.com/your-username/termtypr.git
cd termtypr

# Install in development mode
pip install -e .

# Run the application
termtypr
```

## 📊 Statistics Tracked

- **Words Per Minute (WPM)**: Real-time and historical averages
- **Accuracy**: Percentage of correctly typed characters
- **Progress Over Time**: Track improvement across sessions
- **Best Scores**: Personal records

## 🤝 Contributing

We welcome contributions! Check out the [CONTRIBUTING](CONTRIBUTING.md) guide for details on how to get started.

## 📝 License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

## 🙏 Acknowledgments

- Inspired by popular typing test websites and applications like [10FastFingers](https://10fastfingers.com/) and [TypeRacer](https://play.typeracer.com/)
- Text samples are collected from [Typeracer Data](http://typeracerdata.com/texts).

---

**Ready to improve your typing speed?** Install TermTypr now and start your journey to becoming a typing master! 🎯
